The BOOST_PP_LIST_FOLD_LEFT_2ND macro folds (or accumulates) the elements of a list left-to-right.

#### Usage

BOOST_PP_LIST_FOLD_LEFT_2ND(op, state, list)

#### Arguments

op
  A ternary operation of the form op(d, state, elem). This macro is called for each element in list--each time returning a new state. This operation is expanded by BOOST_PP_LIST_FOLD_LEFT with the next available BOOST_PP_WHILE iteration, the current state, and the current element.
state
  The initial state of the fold.
list
  The list to be folded.

#### Remarks

For the list, (0, (1, (2, BOOST_PP_NIL))), this macro expands to:
op(d, op(d, op(d, state, 0), 1), 2)
This macro is deprecated. Use BOOST_PP_LIST_FOLD_LEFT_d instead.

#### See Also

- BOOST_PP_LIST_FOLD_LEFT
- BOOST_PP_LIST_FOLD_LEFT_d

#### Requirements

Header: <boost/preprocessor/list/fold_left.hpp>

#### Sample Code

    #include <boost/preprocessor/cat.hpp>
    #include <boost/preprocessor/list/fold_left.hpp>

    #define LIST (a, (b, (c, BOOST_PP_NIL)))

    #define OP(d, state, x) BOOST_PP_CAT(state, x)

    BOOST_PP_LIST_FOLD_LEFT_2ND(OP, _, LIST) // expands to _abc